<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns="http://www.irs.gov/efile" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.irs.gov/efile" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

	<xsd:annotation>
		<xsd:documentation>
			<Description>IRS e-file Corporate Income Tax Schema - Currency Conversion Statement</Description>
			<TaxYear>2018</TaxYear>
			<MaturityLevel>Final Release</MaturityLevel>
			<ReleaseDate>October 15, 2019</ReleaseDate>
		</xsd:documentation>
	</xsd:annotation>

	<xsd:include schemaLocation="../../../Common/efileTypes.xsd"/>


	<!-- ============================================================== -->
	<!-- ===============  Currency Conversion Statement =============== -->
	<!-- ============================================================== -->


	<xsd:element name="CurrencyConversionStatement">
		<xsd:annotation>
			<xsd:documentation>Currency conversion statement</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:complexContent>
				<xsd:extension base="CurrencyConversionStmtType">
					<xsd:attributeGroup ref="DocumentAttributes">
						<xsd:annotation>
							<xsd:documentation>Common return document attributes</xsd:documentation>
						</xsd:annotation>
					</xsd:attributeGroup>
					<xsd:attribute name="documentName" type="xsd:string" fixed="CurrencyConversionStatement">
						<xsd:annotation>
							<xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
						</xsd:annotation>
					</xsd:attribute>
				</xsd:extension>
			</xsd:complexContent>
		</xsd:complexType>
	</xsd:element>

	<xsd:complexType name="CurrencyConversionStmtType">
		<xsd:annotation>
			<xsd:documentation>Content model for currency conversion statement</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>

			<!-- Currency Conversion -->
			<xsd:element name="CurrencyConversion" type="CurrencyConversionType" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Currency conversion</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		</xsd:sequence>
	</xsd:complexType>

	<!-- Type for Repeating Group - Currency Conversion -->
	<xsd:complexType name="CurrencyConversionType">
		<xsd:sequence>

			<!-- Reference to form ( Part#, Column #, Line #) -->
			<xsd:element name="FormLineOrInstructionRefTxt" type="LineExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Reference to form in the form of "Part#, Column #, Line #"</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Amount in Foreign Currency -->
			<xsd:element name="ForeignCurrencyAmt" type="ForeignAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Amount in foreign currency</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Conversion Rate -->
			<xsd:element name="ConversionRt" type="LargeRatioType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Conversion rate</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- U.S. Dollar Amount (As Converted) -->
			<xsd:element name="USDollarConversionAmt" type="USAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>U.S. dollar amount (as converted)</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Explanation of Conversion Rate -->
			<xsd:element name="ConversionRateExplanationTxt" type="ExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Explanation of conversion rate (i.e., average, date paid, date accrued, spot rate, year-end)</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		</xsd:sequence>
	</xsd:complexType>

</xsd:schema>
